Category: Estimated time: 0:00 hour
Resolution: Invalid

Description

Hello,

| had build issue when | used the compil-stable script on macintoch. Please, refer to attachment.

Nico

History

#1 - 04/06/2009 11:43 PM - Riviere, Denis
- Status changed from New to In progress

- % Done changed from 0 to 10

Could it be related to the failures of the network filesystem server ?
| have tried compiling on the same account/machine, | got a different error:

c++ -M -O -D_REENTRANT -DCARTO_DEBUGMODE="release" -DQT_CLEAN_NAMESPACE -DQT_THREAD_SUPPORT -DHAS_GLEXT -DAIMS
-DHAVE_ZLIB -DANATOMIST_EXPORTS -l/usr/local/gt/include -I/System/Library/Frameworks/OpenGL.framework/Headers
-I/home/a-sac-ns-research/build-stable-MacOS-10.4-powerpc-release/include -1/usr/local/libsigc++/lib/sigc++-2.0/include
-l/usr/local/libsigc++/include/sigc++-2.0 -l/usr/include/libxml2 -1/usr/local/boost/include/boost-1_33_1 -l/usr/local/libsigc++/lib/sigc++-2.0/include
-l/usr/local/libsigc++/include/sigc++-2.0 -l/usr/include/libxml2 -I/home/a-sac-ns-research/build-stable-MacOS-10.4-powerpc-release/include
-l/usr/local/boost/include/boost-1_33_1 -l/usr/local/qwt/include -l/usr/local/gt/include -I/System/Library/Frameworks/OpenGL.framework/Headers
-I/home/a-sac-ns-research/build-stable-MacOS-10.4-powerpc-release/include
/private/var/automount/home/a-sac-ns-research/anatomist-stable/src/lib/dialogs/qScopeLineEdit.cc > dialogs/qScopeLineEdit.d

Traceback (most recent call last):

File "/home/a-sac-ns-research/util-main/rmwithretries", line 107, in <module>

removeFileSystemEntries( sys.argv[1:])

File "/home/a-sac-ns-research/util-main/rmwithretries”, line 85, in removeFileSystemEntries

source = os.path.normpath( os.path.abspath( path ) )

File "/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/posixpath.py", line 403, in abspath

path = join(os.getcwd(), path)

OSError: [Errno 2] No such file or directory

make®: * [hierarchy/hierarchy.d] Error 1

make®: Waiting for unfinished jobs....

make®: Waiting for unfinished jobs....

make?: [all] Error 2

make’: [sub_lib] Error 2

make: * [all] Error 2

Traceback (most recent call last):

File "/home/a-sac-ns-research/util-main/build-config", line 6044, in <module>

instance.buildWithDependencies( instances )

File "/home/a-sac-ns-research/util-main/build-config", line 1560, in buildWithDependencies

comp.buildWithDependencies( instances )

File "/home/a-sac-ns-research/util-main/build-config", line 1562, in buildWithDependencies

self.build( instances )

File "/home/a-sac-ns-research/util-main/build-config", line 2396, in build

self.build_compileStep( instances )

File "/home/a-sac-ns-research/util-main/build-config", line 2424, in build_compileStep

raise OSError( 'Building of ' + self.nameAndVersion() + ' failed")

OSError: Building of anatomist-3.1 failed

Different error, on a different file, but still related to not finding a file that actually exists...

Now, retrying again at lower-level (just a make in the anatomist build tree), it now seems to work.
So the problem is random and unpredictable.
#2 - 13/07/2009 11:13 AM - Riviere, Denis
- Status changed from In progress to Closed

- Resolution set to Invalid

The problem has not shown up since that day.
Let's say it was a failure of the network filesystem in Neurospin. After rebooting the Mac it does not seem to happen any more.
